// headlines // 

@mixin sectionTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 40px;
    line-height: 140%;
    color: $black;
    margin-bottom: 60px;

    @media (max-width: 1900px) {
        font-size: 36px;
        margin-bottom: 50px;
    }

    @media (max-width: 992px) {
        text-align: center;
    }

    @media (max-width: 768px) {
        font-size: 28px;
        margin-bottom: 50px;
    }

    @media (max-width: 576px) {
        margin-bottom: 40px;
    }
}

// breadcrumbs // 

@mixin breadcrumbs {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 160%;
    display: flex;
    gap: 5px;
    margin-bottom: 30px;
    
    .crumb {
        color: $black;
        transition: 0.4s ease;

        &:not(:last-child) {
            &:hover {
                color: $blue;

                &:after {
                    color: $gray04;
                }
            }

            &:after {
                content: '/';
                color: $gray04;
                padding-left: 5px;
            }
        }

        &:last-child {
            color: $gray01;
            cursor: not-allowed;
        }
    }

    @media (max-width: 768px) {
        justify-content: center; 
        margin-bottom: 20px;
    }

    @media (max-width: 576px) {
        margin-bottom: 15px;
    }
}

// header & footer settings // 

@mixin menuItem {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $grayText;
    transition: 0.4s ease;

    &:hover {
        color: $blueHover;
    }

    @media (max-width: 992px) {
        font-weight: 600;
        font-size: 18px;
        line-height: 160%;
    }
}

@mixin mobileDropdown {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $grayText;
    transition: 0.4s ease;
}

// header settings // 

@mixin headerButton {
    justify-content: center;
    text-align: center;
    max-width: 80px;
    width: 100%;
    padding: 28px 0;
    border-right: 1px solid $gray04;
    transition: 0.4s ease;

    &:hover {
        background-color: $gray03;

        svg {
            path {
                fill: $blueHover;
            }
        }
    }
}

@mixin quantityNav {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 11px;
    line-height: 15px;
    color: #fff;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: $yellow01;
    box-shadow: 0px 10px 15px -5px rgba(33, 97, 58, 0.5);
    position: absolute;
    right: -12px;
    z-index: 2;

    .quantity {
        height: 16px;
    }
}

@mixin mobileQuantityNav {
    right: 15px;
    top: 10px;

    @media (max-width: 768px) {
        right: -12px;
    }
}

// header input // 

@mixin search {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    color: $gray01;
    width: 100%;
    margin-right: 12px;
}

// section input // 

@mixin input {
    border: 1px solid $gray04;
    border-radius: 10px;
    text-indent: 20px;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $gray01;
}

// title settings // 

@mixin sectionTitleWrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;

    @media (max-width: 992px) {
        position: relative;
    }

    @media (max-width: 576px) {
        justify-content: center;
    }
}
// blackout background // 

@mixin blackoutBackground {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: $black;
    backdrop-filter: blur(100px); 
    opacity: 0;
    border-radius: 10px;
    transition: 0.4s ease;
}

// cross hover // 

@mixin crossHover {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: 0.4s ease;
}

// user card settings // 

@mixin greetings {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 140%;
    color: $gray01;
    margin-bottom: 4px;
}

@mixin fullName {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 15px;
    line-height: 140%;
    color: $black;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    -moz-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-clamp: 1;
    box-orient: vertical;
    width: auto;
}

@mixin messageQuantity {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 11px;
    line-height: 15px;
    color: $white;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    box-shadow: 0px 10px 15px -5px rgba(33, 97, 58, 0.5);

    .quantity {
        height: 16px;
    }
    
}

// accordion 

@mixin labelTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    color: $black;

    @media (max-width: 768px) {
        font-size: 14px;
    }
}

@mixin labelSubTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $grayText;
    transition: 0.4s ease;
    margin-left: 20px;
    margin-bottom: 14px;

    &:hover {
        color: $blueHover;
    }

    @media (max-width: 768px) {
        margin-left: 15px;
        margin-bottom: 8px;
    }
}

@mixin subAccordionText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    color: $grayText;
    transition: 0.4s ease;
    margin-bottom: 10px;

    &:hover {
        color: $blueHover;
    }
}

// main button settings // 

@mixin componentButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $white;
    background-color: $blue;
    border-radius: 10px;
    transition: 0.4s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;

    &:hover {
        background-color: $blueHover;
    }

    @media (max-width: 576px) {
        font-size: 13px;
    }
}

// slider settings // 

@mixin slideSale {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 140%;
    color: $white;
    border: 2px solid $yellow01;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 70px;
    height: 42px;

    @media (max-width: 576px) {
        font-size: 14px;
        width: 54px;
        height: 36px;
    }
}

@mixin slidePrice {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 140%;
    color: $white;

    @media (max-width: 576px) {
        font-size: 20px;
    }
}

@mixin slideTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 54px;
    line-height: 140%;
    color: $yellow02;

    @media (max-width: 1900px) {
        font-size: 44px;
    }

    @media (max-width: 1360px) {
        font-size: 36px;
    }

    @media (max-width: 992px) {
        font-size: 30px;
    }

    @media (max-width: 576px) {
        font-size: 24px;
        margin-bottom: 5px;
    }
}

@mixin slideDescription {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    line-height: 150%;
    color: $white;

    @media (max-width: 992px) {
        font-size: 16px;
    }

    @media (max-width: 576px) {
        font-size: 15px;
        line-height: 140%;
    }
}

@mixin bannerSliderPagination {
    position: relative;
    bottom: 5px;
    left: 0;

    @media (max-width: 768px) {
        display: flex;
        justify-content: center;
        bottom: 0;
    }
}

@mixin productSliderPagination {
    position: relative;
    bottom: 0;
    left: 0;

    @media (max-width: 768px) {
        display: none;
    }
}

@mixin minicarouseSliderPagination {
    position: relative;
    bottom: 0;
    right: 0;
    transform: translateY(0);
    text-align: center;

    .swiper-pagination-bullet {
        transform: rotate(0);
    }

    @media (max-width: 992px) {
        right: -20px;
        order: 3;
        width: auto;
        height: 60%;
        transform: translateY(-50%);
        top: 50%;
        display: flex;
        flex-direction: column;
        gap: 40px;

        .swiper-pagination-bullet {
            transform: rotate(90deg);
        }
    }

    @media (max-width: 767px) {
        bottom: 0;
        right: 0;
        transform: translateY(0);
        text-align: center;
        display: block;
        gap: 0;

        .swiper-pagination-bullet {
            transform: rotate(0);
        }
    }
}

@mixin swiperPaginationBullet {
    background: $gray01;
    border-radius: 2px;
    width: 50px;
    height: 4px;

    @media (max-width: 992px) {
        width: 35px;
        height: 3px;
    }
    
}

@mixin swiperPaginationBulletActive {
    background: $yellow01;
}

@mixin swiperButtonHover {
    cursor: pointer;
    
    &:hover {
        .arrow-icon {
            path {
                fill: $yellow01;
            }
        }
    }
}

@mixin slideButton {
    width: 165px;
    height: 60px;

    @media (max-width: 1900px) {
        width: 140px;
        height: 52px;
        font-size: 14px;
    }

    @media (max-width: 576px) {
        width: 127px;
        height: 48px;
    }
}

// description block // 

@mixin descriptionText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: $black;
    width: 200px;
}

// showcase // 

@mixin showcaseText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    line-height: 140%;
    text-align: center;
    color: $black;

    @media (max-width: 576px) {
        font-size: 16px;
    }
}

// show all button // 

@mixin showAllButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 140%;
    color: $gray01;
    border: 2px solid $gray04;
    border-radius: 10px;
    width: 183px;
    height: 56px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    transition: 0.4s ease;

    &:hover {
        border: 2px solid $blueHover;
        color: $blueHover;
       
        svg {
            transition: 0.4s ease;
            path {
                fill: $blueHover;
            }
        }
    }

    @media (max-width: 992px) {
        position: absolute;
        right: 0;
        top: 550%;
    }

    @media (max-width: 768px) {
        width: 100%;
        top: 550%;
    }

    @media (max-width: 576px) {
        top: 600%;
    }
}

// show all button personal block setting // 
@mixin recipesButton {
    @media (max-width: 992px) {
        position: absolute;
        right: 0;
        top: 310%;
    }

    @media (max-width: 768px) {
        top: 340%;
    }

    @media (max-width: 576px) {
        top: 370%;
    }
}

@mixin articleButton {
    @media (max-width: 992px) {
        position: absolute;
        right: 0;
        top: 580%;
    }

    @media (max-width: 768px) {
        top: 650%;
    }

    @media (max-width: 576px) {
        top: 750%;
    }
}

// cards settings // 

@mixin cardFavoriteButton {
    position: absolute;
    right: 15px;
    top: 15px;
  
    .card-favorite__icon {
        circle {
            transition: 0.4s ease;
        }
    }

    &:hover {
        .card-favorite__icon {
            circle {
                fill: $gray02;
            }
        }
    }

    &:active {
        .card-favorite__icon {
            circle {
                fill: $yellow02;
            }
        }
    }

    .card-favorite__icon-close {
        circle {
            transition: 0.4s ease;
        }
        
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        .card-favorite__icon-close {
            circle {
                fill: $red;
            }

            path {
                fill: $white;
            }
        }
    }

    @media (max-width: 768px) {
        .card-favorite__icon {
            width: 34px;
        }
    }

}

@mixin cardIcon {
    position: absolute;
    top: 26px;
    left: 30px;
}

@mixin cardText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 140%;
    color: $black;
    margin-bottom: 25px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    box-orient: vertical;
}

@mixin price {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 30px;
    color: $black;
}

@mixin addToBasketButton {
    width: 129px;
    height: 52px;

    @media (max-width: 576px) {
        width: 104px;
        height: 46px;
    }
}

// recipes block // 

@mixin recipesText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    color: $yellow01;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    box-orient: vertical;
    margin-bottom: 20px;
}

@mixin recipesTextButton {
    width: 114px;
    height: 46px;
    font-size: 13px;
}


// articles block // 

@mixin articlesTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    color: $black;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    box-orient: vertical;
    margin-bottom: 13px;
}

@mixin articlesText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: $grayText;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    line-clamp: 4;
    box-orient: vertical;
    margin-bottom: 20px;
}

@mixin articlesButton {
    width: 114px;
    height: 46px;
    font-size: 13px;
}


// form settings // 

@mixin formTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 36px;
    line-height: 130%;
    color: $yellow01;

    @media (max-width: 1900px) {
        font-size: 30px;
    }

    @media (max-width: 1670px) {
        font-size: 36px;
    }

    @media (max-width: 768px) {
        font-size: 30px;
        text-align: center;
    }

    @media (max-width: 576px) {
        font-size: 20px;
    }

    @media (max-width: 425px) {
        font-size: 18px;
    }

}

@mixin requestCallButton {
    width: 280px;
    height: 66px;

    @media (max-width: 576px) {
        height: 60px;
    }
}

// About Company // 

@mixin aboutTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 140%;
    color: $black;
    margin-bottom: 25px;

    @media (max-width: 1900px) {
        font-size: 28px;
    }

    @media (max-width: 992px) {
        font-size: 24px;
    }

    @media (max-width: 768px) {
        font-size: 20px;
    }
}

@mixin aboutText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 140%;
    color: $grayText;
    margin-bottom: 25px;

    @media (max-width: 1900px) {
        font-size: 16px;
    }
}

@mixin aboutButton {
    width: 165px;
    height: 60px;

    @media (max-width: 1900px) {
        font-size: 14px;
        width: 139px;
        height: 56px;
    }

    @media (max-width: 768px) {
        width: 100%;
        height: 60px;
    }
}

// Footer // 

@mixin companyText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: $grayText;
    margin-bottom: 30px;
}

@mixin copyright {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    color: $grayText;
    transition: 0.4s ease;

    &:hover {
        color: $blueHover;
    }
}

@mixin menuTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 15px;
    line-height: 24px;
    text-transform: uppercase;
    color: $blue;
    margin-bottom: 15px;
}

@mixin referenceTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: $gray01;
}

@mixin referenceText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 22px;
    color: $grayText;
}

// mobile navigation menu // 

@mixin mobileNavTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 12px;
    line-height: 24px;
    text-transform: uppercase;
    color: $blue;

    @media (max-width: 768px) {
        font-size: 10px;
    }
    
    @media (max-width: 576px) {
        font-size: 9px;
    }

    @media (max-width: 425px) {
        font-size: 8px;
    }
}

// About Pages // 

@mixin descriptionBlock {
    margin-bottom: 70px;

    @media (max-width: 1360px) {
        margin-bottom: 50px;
    }

    @media (max-width: 576px) {
        margin-bottom: 40px;
    }
}

@mixin bannerText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 22px;
    line-height: 160%;
    color: $yellow01;

    @media (max-width: 1360px) {
        font-size: 18px;
    }

    @media (max-width: 992px) {
        font-size: 16px;
    }

    @media (max-width: 576px) {
        font-size: 15px;
    }
}

@mixin principleText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: $grayText;
}

@mixin principlesCall {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 30px;
    color: $yellow01;
    text-align: center;

    @media (max-width: 1900px) {
        font-size: 20px;
    }

    @media (max-width: 992px) {
        font-size: 18px;
    }

    @media (max-width: 576px) {
        font-size: 17px;
    }
}

@mixin principlesButton {
    width: 182px;
    height: 52px;
    font-size: 14px;

    @media (max-width: 1900px) {
        width: 240px;
    }

    @media (max-width: 992px) {
        width: 100%;
    }

    @media (max-width: 576px) {
        width: 182px;
    }
}

@mixin premiumText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 160%;
    color: $grayText;
    
    &:not(:last-child) {
        margin-bottom: 30px;
    }

    &:last-child {
        margin-bottom: 70px;
    }

    @media (max-width: 1360px) {
        font-size: 16px;

        &:not(:last-child) {
            margin-bottom: 20px;
        }

        &:last-child {
            margin-bottom: 50px;
        }
    }

    @media (max-width: 576px) {
        &:last-child {
            margin-bottom: 40px;
        }
    }
}

@mixin premiumListTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 30px;
    line-height: 41px;
    color: $black;
    margin-bottom: 30px;

    @media (max-width: 1360px) {
        font-size: 28px;
        margin-bottom: 25px;
    }

    @media (max-width: 576px) {
        font-size: 24px;
        margin-bottom: 20px;
    }
}

@mixin premiumItem {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 160%;
    color: $grayText;
    
    &:not(:last-child) {
        margin-bottom: 10px;
    }
}

@mixin markerPoint {
    &::marker {
        color: $yellow01;
        font-weight: 600;
    }
}

@mixin ceoBlockquote {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 160%;
    color: $grayText;
    margin-bottom: 15px;

    @media (max-width: 1360px) {
        font-size: 16px;
        line-height: 150%;
    }
}

@mixin ceoCite {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    color: $blue;

    @media (max-width: 992px) {
        font-size: 16px;
        line-height: 22px;
    }
}

@mixin chooseText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 160%;
    color: $black;

    @media (max-width: 1360px) {
        font-size: 16px;
    }
}

// basket // 

// card settings // 
@mixin clearListButton {
    width: 206px;
    height: 56px;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $gray01;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 2px solid $gray04;
    border-radius: 10px;
    transition: 0.4s ease;

    .clear-list__icon {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        border: 2px solid $blueHover;
        color: $blueHover;

        .clear-list__icon {
            path {
                fill: $blueHover;
            }
        }
    }

    @media (max-width: 576px) {
        width: 100%;
        height: 60px;
        margin-bottom: 40px;
    }
}


@mixin basketCardCloseButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $gray01;
    gap: 4px;
    transition: 0.4s ease;

    svg {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        color: $red;

        svg {
            path {
                fill: $red
            }
        }
    }
}

@mixin basketCardTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 140%;
    color: $black;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    -moz-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    box-orient: vertical;

    @media (max-width: 576px) {
        font-size: 16px;
    }
}

@mixin quantityButton {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    background-color: $gray04;
    border-radius: 6px;
    transition: 0.4s ease;

    .quantity__icon {
        transition: 0.4s ease;
    }

    &:hover {
        background-color: $yellow01;

        .quantity__icon {
            path {
                fill: $white;
            }
        }
    }

    @media (max-width: 992px) {
        width: 40px;
        height: 40px;
    }
}

@mixin quantityInput {
    width: 80px;
    height: 46px;
    border-radius: 6px;
    border: 1px solid $gray04;
    background-color: $white;
    text-align: center;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: $black;
    display: flex;
    justify-content: center;
    align-items: center;

    @media (max-width: 992px) {
        width: 38px;
        height: 38px;
    }
}

@mixin piecePrice {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 120%;
    color: $blue;

    @media (max-width: 576px) {
        font-size: 14px;
    }
}

@mixin totalPrice {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 30px;
    color: $black;

    @media (max-width: 576px) {
        font-size: 20px;
    }
}

@mixin informationOrderButton {
    width: 100%;
    height: 60px;
}


@mixin informationOrderTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 140%;
    color: $black;
    padding: 20px 30px;
    border-bottom: 1px solid $gray02;
}

@mixin orderDescriptionName {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: $grayText;
    z-index: 1;
    background-color: $white;
    padding-right: 10px;
}

@mixin orderDescriptionAmount {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    color: $black;
    z-index: 1;
    background-color: $white;
    padding-left: 10px;
}


@mixin informationAdditionalText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: $black;
}

@mixin informationServiceTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 26px;
    color: $black;
    margin-bottom: 10px;
}

@mixin informationServiceText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 15px;
    line-height: 24px;
    color: $grayText;
    margin-bottom: 30px;

    @media (max-width: 992px) {
        margin-bottom: 0;
    }
}

@mixin informationServiceButton {
    height: 60px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}


// page navigation //

@mixin pageNavigationButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 15px;
    line-height: 22px;
    color: $gray01;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 56px;
    height: 56px;
    border: 2px solid $gray04;
    border-radius: 10px;
    transition: 0.4s ease;

    .page-nav-arrow {
        path {
            transition: 0.4s ease;
            
        }
    }

    &:hover {
        background-color: $gray04;
        color: $blueHover;

        .page-nav-arrow {
            path {
                fill: $blueHover;
            }
        }

    }

    

    @media (max-width: 768px) {
        width: 50px;
        height: 50px;
    }

    @media (max-width: 576px) {

        &:nth-last-child(5) {
            display: none;
        }
    }

    @media (max-width: 479px) { 
        &:nth-last-child(6) {
            display: none;
        }
    }

    @media (max-width: 414px) {
        &:nth-last-child(7) {
            display: none;
        }
    }

}

@mixin pageShowMore {
    width: 190px;
    gap: 10px;

    .ellipsis {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        .ellipsis {
            path {
                fill: $blueHover;
            }
        }
    }

    @media (max-width: 768px) {
        width: 100%;
        height: 60px;
    }
}

@mixin pageNumberActive {
    background-color: $yellow01;
    border: 2px solid $yellow01;
    color: $white;

    &:hover {
        background-color: $yellow01;
        border: 2px solid $yellow01;
        color: $white;
    }
}

// catalog page // 

@mixin filtersButton {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 162px;
    height: 56px;

    @media (max-width: 768px) {
        width: 100%;
    }
}

@mixin сloseFiltersButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $gray01;
    border: 2px solid $gray04;
    border-radius: 10px;
    height: 56px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-bottom: 30px;
    display: none;

    @media (max-width: 1360px) {
        display: flex;
    }
}

@mixin filterSearch {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    color: $gray01;
    width: 100%;
    background-color: $white;
    height: 60px;
    border-radius: 10px;
    text-indent: 24px;
}

@mixin filterTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 140%;
    color: $black;
    padding: 20px 30px;
}

@mixin accordionFilterLabelTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 140%;
    color: $black;
}

@mixin showMore {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 24px;
    color: $gray01;
    transition: 0.4s ease;

    &:hover {
        color: $blueHover
    }
}


@mixin filterFormLabel {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    color: $grayText;
}

@mixin applyFiltersButton {
    height: 60px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

@mixin resetFilterButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $gray01;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    transition: 0.4s ease;

    .reset-filter__icon {
        path {
           transition: 0.4s ease;
        }
    }

    &:hover {
        color: $red;

        .reset-filter__icon {
            path {
                fill: $red;
            }
        }
    }
}


// сard product page // 

@mixin cardInfoPrice {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 30px;
    color: $black;

    @media (max-width: 425px) {
        margin-bottom: 30px;
    }
}

@mixin offerYourPriceButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 13px;
    line-height: 140%;
    width: 235px;
    height: 52px;
    color: $gray01;
    border: 2px solid $gray04;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    transition: 0.4s ease;

    .offer-your-price__icon {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        color: $blueHover;
        border: 2px solid $blueHover;

        .offer-your-price__icon {
            path {
                fill: $blueHover;
            }
        }
    }

    @media (max-width: 576px) {
        width: 164px;
        
        span {
            width: 50%;
        }
    }

    @media (max-width: 425px) {
        width: 100%;
    }
}

@mixin addToCartButton {
    width: 156px;
    height: 56px;

    @media (max-width: 1900px) {
        width: 202px;
    }

    @media (max-width: 1360px) {
        width: 135px;
    }

    @media (max-width: 992px) {
        width: 257px;
    }

    @media (max-width: 768px) {
        width: 130px;
    }

    @media (max-width: 425px) {
        width: 100%;
    }

}

@mixin buyIn1ClickButton {
    width: 156px;
    height: 56px;
    background-color: $yellow01;

    &:hover {
        background-color: $yellow02;
    }

    @media (max-width: 1900px) {
        width: 202px;
    }

    @media (max-width: 1360px) {
        width: 169px;
    }

    @media (max-width: 992px) {
        width: 257px;
    }

    @media (max-width: 768px) {
        width: 199px;
    }

    @media (max-width: 576px) {
        width: 130px;
    }

    @media (max-width: 425px) {
        width: 100%;
    }
}

@mixin addToFavoritesButton {
    width: 56px;
    height: 56px;
    background-color: $gray03;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s ease;

    .add-to-favorites__icon {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        background-color: $gray02;

        .add-to-favorites__icon {
            path {
                fill: $blueHover;
            }
        }
    }
}

@mixin descriptionItemTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 800;
    font-size: 20px;
    line-height: 27px;
    color: $black;
    margin-bottom: 10px;

    @media (max-width: 576px) {
        font-size: 18px;
        line-height: 25px;
    }
}


@mixin descriptionItemText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: $grayText;
}

@mixin characteristicsName {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: $grayText;
    background-color: $white;
    z-index: 1;
    padding-right: 10px; 
}

@mixin characteristicsValue {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: $black;
    background-color: $white;
    z-index: 1; 
    padding-left: 10px; 
}

// cabinet page // 

@mixin cabinetTab {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 140%;
    color: $grayText;
    background-color: $white;
    transition: 0.4s ease;
    width: 100%;
    height: 65px;
    display: flex;
    align-items: center;
    gap: 14px;
    padding-left: 30px;

    &:not(:last-child) {
        border-bottom: 1px solid $gray04;
    }

    &:first-child {
        border-top-right-radius: 10px;
        border-top-left-radius: 10px;
    }

    &:last-child {
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
    }

    .tab-icon {
        path {
            transition: 0.4s ease;
        }
    }
    
    &:hover {
        color: $blueHover;

        .tab-icon {
            path {
                fill: $blueHover;
            }
        }
    }

    @media (max-width: 1360px) {
        padding-left: 20px; 
    }

    @media (max-width: 1024px) {
        padding-left: 0;
        background-color: transparent;
        border: 1px solid $gray04;
        border-radius: 10px;
        padding: 20px 30px;
        
        span {
            width: 100%;
        }
    }

    @media (max-width: 576px) {
        border: none;

        span {
            width: auto;
        }
    }
}

@mixin logoutButton {
    width: 100%;
    height: 60px;

    @media (max-width: 1024px) {
        width: 128px;
        height: 56px;
        position: absolute;
        top: 50px;
        right: 0;
    }

    @media (max-width: 768px) {
        top: 30px;
    }

    @media (max-width: 576px) {
        position: static;
        width: 100%;
    }
}

@mixin dataItemTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 20px;
    display: flex;
    align-items: center;
    color: $gray01;
    margin-bottom: 10px;
}

@mixin dataItemValue {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    line-height: 23px;
    display: flex;
    align-items: center;
    color: $grayText;
}

@mixin dataBlock {
    background-color: $white;
    border-radius: 10px;
    padding: 60px;
    display: grid;

    @media (max-width: 1560px) {
        padding: 40px;
    }

    @media (max-width: 576px) {
        padding: 30px;
    }
}

@mixin dataFormItem {
    display: flex;
    flex-direction: column;
}

@mixin dataFormWrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;

    @media (max-width: 1360px) {
        grid-template-columns: 1fr 1fr;
        align-items: end;
    }

    @media (max-width: 576px) {
        grid-template-columns: 1fr;
    }
}

@mixin DataLabel {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    color: $gray01;
    display: flex;
    margin-bottom: 20px;
}

@mixin DataInput {
    height: 66px;
    width: 100%;
}

@mixin saveChangesButton {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: 100%;
    height: 66px;
    position: relative;
    transition: 0.4s ease;

    .save-changes-after {
        position: absolute;
        width: 100%;
        right: -100%;
    }
}

@mixin changesSaved {
    background-color: $green01;
    color: $green02;
    transition: 0.4s ease;

    &:hover {
        background-color: $green01;
    }

    .save-changes-after {
        position: absolute;
        width: 100%;
        right: 50%;
        transform: translateX(50%);
    }

    .save-changes-before {
        position: absolute;
        left: -100%;
        overflow: hidden;
        opacity: 0;
    }
}


@mixin cabinetFormTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: $black;
    margin-bottom: 30px;
}

// cabinet my order 

@mixin myOrderNumber {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 30px;
    color: $black;
}

@mixin myOrderStatus {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    color: $white;
    display: inline-block;
    padding: 5px 12px;
    border-radius: 10px; 
}

@mixin myOrderDate {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: $gray01;
    background-color: $gray02;
    display: inline-block;
    padding: 5px 15px;
    border-radius: 10px;
}

@mixin myOrderTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $gray01;
}

@mixin myOrderValue {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 20px;
    color: $black;
}

@mixin myOrderProductTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    color: $black;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    -moz-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-clamp: 1;
    box-orient: vertical;
    width: auto;
    margin-bottom: 15px;
}

@mixin myOrderProductName {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 120%;
    color: $gray01;
}

@mixin myOrderProductValue {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 30px;
    color: $black;
}

@mixin myOrderButton {
    max-width: 120px;
    width: 100%;
    height: 52px;
}

// cabinet documents

@mixin documentTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    color: $black;
    margin-bottom: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -moz-box;
    -moz-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-clamp: 1;
    box-orient: vertical;
    width: auto;
}

@mixin documentName {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 19px;
    color: $gray01;
}

@mixin documentValue {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 19px;
    color: $grayText;
}

// Mobile menu // 

@mixin mobileMenuItem {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 160%;
    color: $grayText;
    padding: 15px 0;
    border-bottom: 1px solid $gray04;
}

@mixin mobileMenuPhone {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 25px;
    line-height: 140%;
    color: $black;
    margin-bottom: 20px;
}

@mixin mobileCallbackButton {
    height: 62px;
    padding: 20px;
}


@mixin mobileNav {
    transition: 0.4s ease;
            
    .mobile-nav__icon {
        .path-nav-close {
            display: none;
        }
    }
}

@mixin mobileNavActive {
    background-color: $blue;

    .mobile-nav__icon {
        .path-nav {
            display: none;
        }

        .path-nav-close {
            display: block;
        }
    }

    .mobile-nav__title {
        color: $white;
    }
}

@mixin PageActive {
    background-color: $blue;

    .mobile-nav__icon {
        .path-nav {
            fill: $white
        }
    }

    .mobile-nav__title {
        color: $white;
    }
}


// registration page // 


@mixin regTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: $black;
    margin-bottom: 40px;

    @media (max-width: 576px) {
        text-align: center;
        margin-bottom: 30px;
    }
}

@mixin regTypeLabel {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 24px;
    color: $grayText;
    position: relative;
    display: block;
    border: 1px solid $gray04;
    border-radius: 10px;
    padding: 20px 0px 20px 65px;
    cursor: pointer;

    @media (max-width: 1360px) {
        padding: 20px 0px 20px 45px;
    }
   
    &:before {
        position: absolute;
        content: '';
        left: 35px;
        top: 50%;
        transform: translateY(-50%);
        width: 18px;
        height: 18px;
        border-radius: 100%;
        transition: 0.4s ease;
        border: 1px solid $gray04;
        background-color: $white;

        @media (max-width: 1360px) {
            left: 15px;
        }
    }

    &:after {
        position: absolute;
        content: '';
        width: 12px;
        height: 12px;
        left: 39px;
        top: 50%;
        transform: translateY(-50%);
        border-radius: 100%;
        transition: 0.4s ease;
        background-color: $white;
        opacity: 0;

        @media (max-width: 1360px) {
            left: 19px;
        }
    }
}

@mixin registrationButton {
    width: 295px;
    height: 66px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;

    @media (max-width: 576px) {
        width: 100%;
    }
}

// scroll mobile 

@mixin scrollMobile {
    overflow-y: scroll;
   
    &::-webkit-scrollbar {
        height: 2px;
        width: 4px;
        border-radius: 2px;
        background-color: transparent;
    }

    &::-webkit-scrollbar-thumb {
        border-radius: 2px;
        background-color: $blue;
    }
}

@mixin offerPriceButton {
    width: 100%;
    height: 66px;
    grid-column: -1/1;
}

@mixin offerPriceClose {
    .offer-price__icon {
        path {
            transition: 0.4s ease;
        }
    }
  
    &:hover {
        .offer-price__icon {
            path {
                fill: $yellow01
            }
        }
    }
}

@mixin offerPrice {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
}

@mixin offerInput {
    height: 66px;
}

@mixin checkoutTab {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: $grayText;
    border-bottom: 3px solid $yellow01;

    @media (max-width: 992px) {
        font-size: 20px;
    }

    @media (max-width: 768px) {
        font-size: 16px;
        line-height: 20px;
        padding-left: 0;
        background-color: transparent;
        border: 1px solid $gray04;
        border-radius: 10px;
        padding: 20px 30px;
    }
}

// modal callback 

@mixin callbackModalTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 140%;
    color: $black;

    @media (max-width: 576px) {
        font-size: 25px;
    }
}

@mixin callbackModalInput {
    height: 66px;
   
    @media (max-width: 576px) {
        height: 52px;
    }
}

@mixin callbackModalButton {
    height: 66px;
    width: 100%;
    margin-top: 30px;

    @media (max-width: 576px) {
        height: 52px;
        margin-top: 20px;
    }
}

@mixin callbackModalSubtitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: $black;
    margin-bottom: 16px;
}

@mixin callbackModalText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 160%;
    color: $grayText;
}

// contacts page // 

@mixin cityTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 22px;
    line-height: 26px;
    color: $black;
    margin-bottom: 20px;
}

@mixin cityButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: $grayText;
    margin-bottom: 10px;

    @media (max-width: 992px) {
        font-weight: 700;
        line-height: 20px;
        color: $gray01;
        border: 2px solid $gray04;
        padding: 20px 30px;
        border-radius: 10px;
    }
}

// successfully modal // 

@mixin successfullyTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 36px;
    line-height: 140%;
    color: $black;
    margin-bottom: 20px;

    @media (max-width: 768px) {
        font-size: 28px;
        margin-bottom: 10px;
    }
} 

@mixin successfullyText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 140%;
    color: $grayText;

    @media (max-width: 768px) {
        font-size: 14px;
    }
}

// order placed modal // 

@mixin orderPlacedTitle {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: $black;
    margin-bottom: 22px;

    .order-number {
        color: $blueHover;
    } 

    @media (max-width: 576px) {
        padding: 0 20px;
         font-size: 20px;
    }
}

@mixin orderPlacedText {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 160%;
    color: $grayText;

    @media (max-width: 576px) {
        padding: 0 20px;
        font-size: 14px;
    }
}


// backgroud-liner // 

@mixin background-linear-gradient {
    background: linear-gradient(180deg, rgba(239, 239, 244, 0.4) 0%, #F9F9FA 100%);
    margin-left: -70px;
    margin-right: -70px;
    padding: 80px 70px 0;

    @media (max-width: 1900px) {
        margin-left: -35px;
        margin-right: -35px;
        padding: 73px 35px 0;
    }

    @media (max-width: 1560px) {
        margin-left: -45px;
        margin-right: -45px;
        padding: 73px 45px 0;
    }

    @media (max-width: 1360px) {
        margin-left: -30px;
        margin-right: -30px;
        padding: 53px 30px 0;
    }

    @media (max-width: 992px) {
        margin-left: -40px;
        margin-right: -40px;
        padding: 50px 40px 0;
    }

    @media (max-width: 768px) {
        margin-left: -30px;
        margin-right: -30px;
        padding: 50px 30px 0;
    }

    @media (max-width: 576px) {
        margin-left: -20px;
        margin-right: -20px;
        padding: 40px 20px 0;
    }
}


@mixin cabinetWrapperButton {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 140%;
    background-color: transparent;
    border: 1px solid $gray04;
    border-radius: 10px;
    padding: 18px 28px;
    color: $grayText;
    display: none;
    align-items: center;
    gap: 14px;
    margin-bottom: 50px;

    @media (max-width: 425px) {
        margin-bottom: 40px;
    }
}